lp:ubuntu/precise-updates/bcmwl

Created by Ubuntu Package Importer on 2012-04-29 and last modified on 2013-09-09
Get this branch:
bzr branch lp:ubuntu/precise-updates/bcmwl
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Mature

Recent revisions

37. By Alberto Milone on 2013-09-09

* 0006-add-support-for-linux-3.8.0.patch,
  0007-nl80211-move-scan-API-to-wdev.patch,
  0008-add-support-for-linux-3.9.0.patch,
  0009-add-support-for-linux-3.10.0.patch:
  - Add support for kernels up to 3.11 (LP: #1095751).

36. By Alberto Milone on 2013-01-17

[ Alberto Milone ]
* New upstream release (LP: #923809).
* Add 0004-Add-support-for-Linux-3.2.patch:
  - Make sure the patch can always be applied.
* Add 0005-Add-support-for-Linux-3.4.0.patch:
  - Thanks to Eugene San for the patch (LP: #994255).
* debian/control:
  - Drop all the dependencies on the linux-headers.
* debian/dkms.conf.in:
  - Always apply all patches (LP: #1020059).

[ Martin Pitt ]
* debian/bcmwl-kernel-source.postinst:
  - Silence the errors from rmmod about the modules not being
    loaded. This is fully expected, and just causes confusion,
    as well as autopkgtest failures.
  - Mirror the actions of the installed modprobe.d files,
    i.e. rmmod the b43 driver and try to modprobe wl, so
    that this package works right after installation.
    (LP: #1065827)
  - Drop duplicate #DEBHELPER# token. It does not currently
    expand to anything, but it looks confusing.
* debian/rules, debian/bcmwl-kernel-source.modaliases:
  - Drop parsing of src/src/wl/sys/wl_linux.c, as the current
    upstream version dropped all useful vendor matches in its
    pci_device_id struct and now has a broken modalias. Keep
    a static debian/bcmwl-kernel-source.modaliases instead
    which matches on any Broadcom network device (vendor 14E4
    class 02 subclass 80). This brings back a proper
    "Modaliases:" package header (LP: #1089943).

35. By Alberto Milone on 2012-04-23

* debian/bcmwl-kernel-source.postinst:
  - Blacklist brcmfmac, brcmsmac and bcma so that they don't
    conflict with the closed driver (LP: #873117)

34. By Scott Kitterman on 2012-04-21

* Update to match switch to PAE kernel by default in precise for i386
  (LP: #986475)
  - Depend on linux-headers-generic-pae on i386 instead of
    linux-headers-generic so that the right headers are available to build
    the driver
* Drop long obsolete lpia specific depends on linux-headers-lpia

33. By Alberto Milone on 2011-11-22

Add 0004-Add-support-for-Linux-3.2.patch.

32. By Michael Terry on 2011-06-01

* debian/bcmwl-kernel-source.prerm:
  - Don't error out if we can't remove bcmwl module. LP: #776439
* debian/bcmwl-kernel-source.postinst:
  - Unconditionally update the blacklist (i.e. even on upgrade).
    LP: #776165

31. By Michael Terry on 2011-06-01

commit Daniel van Vugt's fix to not error out while trying to remove bcmwl module

30. By Michael Terry on 2011-06-01

commit Daniel van Vugt's fix to unconditionally update the blacklist

29. By Martin Pitt on 2011-04-18

debian/bcmwl-kernel-source.postinst: Also blacklist brcm80211, to ensure
it actually is getting used. Thanks to Daniel van Vugt for the patch!
(LP: #747002)

28. By Alberto Milone on 2011-01-10

[ Henrik Rydberg ]
* debian/patches0003-Make-up-for-missing-init_MUTEX.patch:
  - Make up for missing init_MUTEX (LP: #700176).

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/quantal/bcmwl
This branch contains Public information 
Everyone can see this information.

Subscribers